<?php if (get_mostrar_veiculos_destaque()): ?>


    <?php

    $total_de_veiculos_destaque = get_total_veiculos_destaque();
    $sn_exibir_repasses = get_exibir_repasse_destaques();
    $tipo_veiculos = get_tipo_veiculo_destaques();


    $somenteDestaques = array(
        'relation' => 'OR',
        array(
            'key' => 'alt_destaque',
            'compare' => '=',
            'value' => 'on',
        ),
        array(
            'key' => 'alt_destaque',
            'compare' => '=',
            'value' => "1",
        )
    );

    if ($sn_exibir_repasses == 'nao') {
        $semRepasse = array(
            'relation' => 'OR',
            array(
                'key' => 'alt_repasse',
                'compare' => '!=',
                'value' => '1'
            ),

        );
    } else {
        $semRepasse = [];
    }


    $arr['meta_query'] = array(
        'relation' => 'AND',
        $somenteDestaques,
        $semRepasse
    );

    if ($tipo_veiculos != 'todos') {
        $arr['tax_query'] = array(
            'relation' => 'OR',
            array(
                'taxonomy' => 'tipo',
                'terms' => $tipo_veiculos,
                'operator' => 'AND',
                'field' => 'slug',
            ),
        );
    }

    $arr['post_status'] = 'publish';
    $arr['post_type'] = 'veiculos';
    $arr['posts_per_page'] = $total_de_veiculos_destaque;


    $query = new WP_Query($arr);
    $arrVeiculos = $query->posts;


    // Se houver algum post
    ?>
    <?php if (!empty($arrVeiculos)): ?>
        <section class="section_default wow bounceInRight" data-wow-duration="2s">
            <div class="container">

                <?php if (is_active_sidebar('home2')): ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <?php dynamic_sidebar('home2'); ?>
                        </div>
                    </div>

                <?php endif; ?>


                <div class="row">
                    <div class="col-xs-12">
                        <h2 class="ui-title-block">Destaques</h2>

                        <div class="ui-subtitle-block_mod-b">Veja tambem nosso <a
                                    href="<?= alt_get_url_estoque(); ?>">estoque completo</a></div>
                        <div class="slider-grid owl-carousel owl-theme owl-theme_mod-c enable-owl-carousel"
                             data-pagination="true"
                             data-single-item="true"
                             data-auto-play="7000"
                             data-transition-style="fade"
                             data-main-text-animation="true"
                             data-after-init-delay="3000"
                             data-after-move-delay="1000"
                             data-stop-on-hover="true">
                            <div class="slider-grid__item">
                                <div class="row">


                                    <?php $index = 0; ?>

                                    <?php if ($arrVeiculos): ?>

                                        <?php foreach ($arrVeiculos as $feature):
                                            $index++;

                                            if (wp_is_mobile()) {
                                                get_template_part('veiculos/bloco-veiculo-box-mobile', null, ['feature' => $feature]);
                                            } else {
                                                get_template_part('veiculos/bloco-veiculo-box', null, ['feature' => $feature]);
                                            }


                                            ?>

                                        <?php endforeach; ?>

                                    <?php else: ?>
                                        <div class="slider-grid__item">
                                            <div class="row">
                                                <p class="text-center center">Nenhum veículo cadastrado
                                                    recentemente!</p>
                                            </div>
                                        </div>
                                    <?php endif; ?>


                                </div>
                            </div>


                        </div>
                        <!-- end slider-services -->
                    </div>
                    <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </section>

        <!-- end section_default -->
    <?php endif; ?>
<?php endif; ?>
